--[[
Copyright (c) 2010, LordFarlander
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

    * Redistributions of source code must retain the above copyright notice,
      this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above copyright notice,
      this list of conditions and the following disclaimer in the documentation
      and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
]]--

-- Enumerations.
-- Faction
BRECZONE_ALLIANCE        = 1;
BRECZONE_HORDE           = 2;
BRECZONE_NEUTRAL         = 3;
BRECZONE_CONTESTED       = 128;
BRECZONE_SANCTUARY       = 255;
-- Continent
BRECZONE_KALIMDOR        = 1;
BRECZONE_EASTERN         = 2;
BRECZONE_OUTLAND         = 3;
BRECZONE_NORTHREND       = 4;
BRECZONE_ELEMENTALPLAIN = 5; -- Assume that the elemental plains will be a new continent for 4.0
-- take into account future continents, move "special" ids to big numbers
BRECZONE_NOWHERE         = 128;
BRECZONE_OTHER           = 255;
-- Type
BRECZONE_ZONE            = 1;
BRECZONE_CITY            = 2;
BRECZONE_NONE            = 3;
BRECZONE_PVP             = 4;
BRECZONE_COLLECTOR       = 5;
BRECZONE_DUNGEON         = 6;
BRECZONE_RAID            = 7;
BRECZONE_BATTLEGROUND    = 8;
BRECZONE_ARENA           = 9;
BRECZONE_UNKNOWN         = 255;
-- Transport Types
BRECZONE_FLIGHTPOINT     = 1;
BRECZONE_BOAT            = 2;
BRECZONE_ZEPPELIN        = 3;
BRECZONE_PORTAL          = 4;
BRECZONE_OTHER           = 5;
-- Holidays
BRECZONE_LUNAR_FESTIVAL          = 1;
BRECZONE_LOVE_IS_IN_THE_AIR      = 2;
BRECZONE_NOBLEGARDEN             = 3;
BRECZONE_CHILDRENS_WEEK          = 4;
BRECZONE_MIDSUMMER_FIRE_FESTIVAL = 5;
BRECZONE_BREWFEST                = 6;
BRECZONE_HARVEST_FESTIVAL        = 7;
BRECZONE_HALLOWS_END             = 8;
BRECZONE_PILGRIMS_BOUNTY         = 9;
BRECZONE_FEAST_OF_WINTER_VEIL    = 10;

BRECZONE_MAXLEVEL        = 80; -- Is there a way to get this programatically?
